package com.dev.swms.server.service.interfaceLog;


import net.sf.json.JSONObject;

import com.dev.energy.server.dao.CommonDao;
import com.dev.energy.server.service.BaseManager;

public interface QueryAppManager extends BaseManager {
	//收货任务列表
	JSONObject queryAsn(String parameter,String date ,long workerId,long warehouseId,CommonDao commonDao);
	
	//扫描条码
	JSONObject scanAsnCode(long asnId,String asn_code,Long workerId,long warehouseId,CommonDao commonDao);
	
	//扫描库位
	JSONObject scanAsnLoc(String loc_code,Long workerId,long warehouseId,CommonDao commonDao);
	
	//查看收货详情
	JSONObject queryReceiveDetail(long asnId,long workerId,long warehouseId,CommonDao commonDao);
	
	//根据客户订单号查看已收货的单子
	JSONObject queryCustomerNo(String relatedBill1,long workerId,long warehouseId,CommonDao commonDao);
	
	
	//出货任务列表
	JSONObject queryPick(String parameter,String date ,long workerId,long warehouseId,CommonDao commonDao);
		
	
}
